org.eclipse.gef.fx.jface

## Class FXPaintUtils

- java.lang.Object
- - org.eclipse.gef.fx.jface.FXPaintUtils

    public class FXPaintUtils
    extends java.lang.Object

Provides utilities for dealing with `Paint` representations.

### Constructor Summary

Constructors
Constructor and Description
`FXPaintUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getPaintDisplayText(javafx.scene.paint.Paint paint)` Creates a human-readable string representation for the given `Paint` value.
`static org.eclipse.swt.graphics.ImageData` `getPaintImageData(int width, int height, javafx.scene.paint.Paint paint)` Creates a rectangular `Image` to visualize the given `Paint`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FXPaintUtils

    public FXPaintUtils()

### Method Detail

#### getPaintImageData

    public static org.eclipse.swt.graphics.ImageData getPaintImageData(int width,
                                                                       int height,
                                                                       javafx.scene.paint.Paint paint)

Creates a rectangular `Image` to visualize the given `Paint`.

Parameters:
  `width` - The width of the resulting `Image`.
  `height` - The height of the resulting `Image`.
  `paint` - The `Paint` to use for filling the `Image`.
Returns:
  The resulting (filled) `Image`.

#### getPaintDisplayText

    public static java.lang.String getPaintDisplayText(javafx.scene.paint.Paint paint)

Creates a human-readable string representation for the given `Paint` value.

Parameters:
  `paint` - The `Paint` value to create a string representation for.
Returns:
  A string characterizing the given `Paint` value.